Constants (Apache Tomcat 8.5.87 API Documentation)

Package org.apache.coyote

## Class Constants

- java.lang.Object
- - org.apache.coyote.Constants

-     public final class Constants
      extends java.lang.Object

  Constants.
  Author:
    Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.nio.charset.Charset` | `DEFAULT_BODY_CHARSET` |
    `static java.lang.String` | `DEFAULT_CHARACTER_ENCODING` | Deprecated. This will be removed in Tomcat 9.0.x onwards.
    `static int` | `DEFAULT_CONNECTION_LINGER` |
    `static boolean` | `DEFAULT_TCP_NO_DELAY` |
    `static java.nio.charset.Charset` | `DEFAULT_URI_CHARSET` |
    `static boolean` | `IS_SECURITY_ENABLED` | Has security been turned on?
    `static int` | `MAX_NOTES` |
    `static java.lang.String` | `PEER_ADDR_ATTRIBUTE` | The request attribute set by the RemoteIpFilter, RemoteIpValve (and may be set by other similar components) that identifies for the connector the connection peer IP address.
    `static java.lang.String` | `REMOTE_ADDR_ATTRIBUTE` | The request attribute set by the RemoteIpFilter, RemoteIpValve (and may be set by other similar components) that identifies for the connector the remote IP address claimed to be associated with this request when a request is received via one or more proxies.
    `static java.lang.String` | `SENDFILE_FILE_END_ATTR` | The request attribute that can be used by a servlet to pass to the connector the end offset (not including) of the part of a file that is to be served by sendfile.
    `static java.lang.String` | `SENDFILE_FILE_START_ATTR` | The request attribute that can be used by a servlet to pass to the connector the start offset of the part of a file that is to be served by sendfile.
    `static java.lang.String` | `SENDFILE_FILENAME_ATTR` | The request attribute that can be used by a servlet to pass to the connector the name of the file that is to be served by sendfile.
    `static java.lang.String` | `SENDFILE_SUPPORTED_ATTR` | The request attribute that is set to the value of `Boolean.TRUE` if connector processing this request supports use of sendfile.
    `static int` | `STAGE_ENDED` |
    `static int` | `STAGE_ENDINPUT` |
    `static int` | `STAGE_ENDOUTPUT` |
    `static int` | `STAGE_KEEPALIVE` |
    `static int` | `STAGE_NEW` |
    `static int` | `STAGE_PARSE` |
    `static int` | `STAGE_PREPARE` |
    `static int` | `STAGE_SERVICE` |
    `static boolean` | `USE_CUSTOM_STATUS_MSG_IN_HEADER` | Deprecated. This option will be removed in Tomcat 9.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Constants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CHARACTER_ENCODING

          @Deprecated
          public static final java.lang.String DEFAULT_CHARACTER_ENCODING

      Deprecated.
      This will be removed in Tomcat 9.0.x onwards.
      See Also:
        Constant Field Values

    - #### DEFAULT_URI_CHARSET

          public static final java.nio.charset.Charset DEFAULT_URI_CHARSET

    - #### DEFAULT_BODY_CHARSET

          public static final java.nio.charset.Charset DEFAULT_BODY_CHARSET

    - #### MAX_NOTES

          public static final int MAX_NOTES

      See Also:
        Constant Field Values

    - #### STAGE_NEW

          public static final int STAGE_NEW

      See Also:
        Constant Field Values

    - #### STAGE_PARSE

          public static final int STAGE_PARSE

      See Also:
        Constant Field Values

    - #### STAGE_PREPARE

          public static final int STAGE_PREPARE

      See Also:
        Constant Field Values

    - #### STAGE_SERVICE

          public static final int STAGE_SERVICE

      See Also:
        Constant Field Values

    - #### STAGE_ENDINPUT

          public static final int STAGE_ENDINPUT

      See Also:
        Constant Field Values

    - #### STAGE_ENDOUTPUT

          public static final int STAGE_ENDOUTPUT

      See Also:
        Constant Field Values

    - #### STAGE_KEEPALIVE

          public static final int STAGE_KEEPALIVE

      See Also:
        Constant Field Values

    - #### STAGE_ENDED

          public static final int STAGE_ENDED

      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_LINGER

          public static final int DEFAULT_CONNECTION_LINGER

      See Also:
        Constant Field Values

    - #### DEFAULT_TCP_NO_DELAY

          public static final boolean DEFAULT_TCP_NO_DELAY

      See Also:
        Constant Field Values

    - #### IS_SECURITY_ENABLED

          public static final boolean IS_SECURITY_ENABLED

      Has security been turned on?

    - #### USE_CUSTOM_STATUS_MSG_IN_HEADER

          @Deprecated
          public static final boolean USE_CUSTOM_STATUS_MSG_IN_HEADER

      Deprecated.
      This option will be removed in Tomcat 9. Reason phrase will not be sent.
      If true, custom HTTP status messages will be used in headers.

    - #### SENDFILE_SUPPORTED_ATTR

          public static final java.lang.String SENDFILE_SUPPORTED_ATTR

      The request attribute that is set to the value of `Boolean.TRUE` if connector processing this request supports use of sendfile.
      See Also:
        Constant Field Values

    - #### SENDFILE_FILENAME_ATTR

          public static final java.lang.String SENDFILE_FILENAME_ATTR

      The request attribute that can be used by a servlet to pass to the connector the name of the file that is to be served by sendfile. The value should be `java.lang.String` that is `File.getCanonicalPath()` of the file to be served.
      See Also:
        Constant Field Values

    - #### SENDFILE_FILE_START_ATTR

          public static final java.lang.String SENDFILE_FILE_START_ATTR

      The request attribute that can be used by a servlet to pass to the connector the start offset of the part of a file that is to be served by sendfile. The value should be `java.lang.Long`. To serve complete file the value should be `Long.valueOf(0)`.
      See Also:
        Constant Field Values

    - #### SENDFILE_FILE_END_ATTR

          public static final java.lang.String SENDFILE_FILE_END_ATTR

      The request attribute that can be used by a servlet to pass to the connector the end offset (not including) of the part of a file that is to be served by sendfile. The value should be `java.lang.Long`. To serve complete file the value should be equal to the length of the file.
      See Also:
        Constant Field Values

    - #### REMOTE_ADDR_ATTRIBUTE

          public static final java.lang.String REMOTE_ADDR_ATTRIBUTE

      The request attribute set by the RemoteIpFilter, RemoteIpValve (and may be set by other similar components) that identifies for the connector the remote IP address claimed to be associated with this request when a request is received via one or more proxies. It is typically provided via the X-Forwarded-For HTTP header.
      See Also:
        Constant Field Values

    - #### PEER_ADDR_ATTRIBUTE

          public static final java.lang.String PEER_ADDR_ATTRIBUTE

      The request attribute set by the RemoteIpFilter, RemoteIpValve (and may be set by other similar components) that identifies for the connector the connection peer IP address.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()